View Issue Details

IDProjectCategoryView StatusLast Update
0015709ScribusBuild Systempublic2019-07-30 21:27
Reporterale Assigned Tojghali  
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version1.5.5.svn 
Summary0015709: Missing docstring in cmake set command
Descriptionhouz is reporting a cmake error in

https://github.com/scribusproject/scribus/blob/master/CMakeLists.txt#L227

because of a missing string.

i did not spot a change that might trigger this error now... but this set is indeed the only one in that "region" that has no string comment...
it would be good to have one there too... and maybe this will fix houz' issue...
TagsNo tags attached.
PatchNo

Activities

mjg

2019-06-28 13:54

reporter   ~0046349

At least on Fedora (29, 30 and rawhide) this not fix the 64bit builds yet. There is still one string missing. The following is a hotfix:

sed -ie 's/set(LIB_SUFFIX "64" CACHE STRING)/set(LIB_SUFFIX "64" CACHE STRING "library suffix")/' CMakeLists.txt

With this, builds succeed again.

jghali

2019-06-28 14:30

administrator   ~0046350

Thanks for the note, I added this missing docstring.

Issue History

Date Modified Username Field Change
2019-06-12 08:47 ale New Issue
2019-06-12 10:14 jghali Summary missing a set comment in the main CMakeLists.txt => missing docstring in set command in the main CMakeLists.txt
2019-06-12 10:14 jghali Assigned To => jghali
2019-06-12 10:14 jghali Status new => resolved
2019-06-12 10:14 jghali Resolution open => fixed
2019-06-12 10:14 jghali Fixed in Version => 1.5.5.svn
2019-06-12 10:27 jghali Summary missing docstring in set command in the main CMakeLists.txt => Missing docstring in cmake set command
2019-06-28 13:54 mjg Note Added: 0046349
2019-06-28 14:30 jghali Note Added: 0046350
2019-07-30 21:27 cbradney Status resolved => closed